
// VTC7200_IO_UtilityDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VTC7200_IO_Utility.h"
#include "VTC7200_IO_UtilityDlg.h"
#include "VTC7200_IO.h"


#ifdef _DEBUG
#include "io.h"
#include "fcntl.h"
#endif


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


#ifdef _DEBUG

FILE* fp = NULL;

void InitConsole()
{
	int nRet= 0;
	AllocConsole();
	nRet= _open_osfhandle((long)GetStdHandle(STD_OUTPUT_HANDLE), _O_TEXT);
	fp = _fdopen(nRet, "w");
	*stdout = *fp;
	setvbuf(stdout, NULL, _IONBF, 0);
}

void DeinitConsole()
{
	if( fp )
		fclose( fp );

	FreeConsole();
}

#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CVTC7200_IO_UtilityDlg dialog




CVTC7200_IO_UtilityDlg::CVTC7200_IO_UtilityDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVTC7200_IO_UtilityDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CVTC7200_IO_UtilityDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT1, m_CEdit_Ignition);
	DDX_Control(pDX, IDC_EDIT2, m_CEdit_Battery);
	DDX_Control(pDX, IDC_COMBO1, m_CComboBox_WDT);
	DDX_Control(pDX, IDC_COMBO2, m_CComboBox_WDT_Time);
	DDX_Control(pDX, IDC_COMBO5, m_CComboBox_SIM_CARD);
	DDX_Control(pDX, IDC_COMBO4, m_CComboBox_SIM_CARD_In_or_Ex);
	DDX_Control(pDX, IDC_COMBO6, m_CComboBox_EXTERNAL_12V);
	DDX_Control(pDX, IDC_COMBO7, m_CComboBox_Bypass_Car_Battery);
	DDX_Control(pDX, IDC_COMBO8, m_CComboBox_Wireless_WAN_Wake_up);
	DDX_Control(pDX, IDC_COMBO9, m_CComboBox_RTC_Wake_up);
	DDX_Control(pDX, IDC_COMBO10, m_CComboBox_Power_On_Delay);
	DDX_Control(pDX, IDC_COMBO11, m_CComboBox_Power_On_Delay_Time);
	DDX_Control(pDX, IDC_COMBO12, m_CComboBox_Power_Off_Delay);
	DDX_Control(pDX, IDC_COMBO13, m_CComboBox_Power_Off_Delay_Time);
	DDX_Control(pDX, IDC_EDIT16, m_CEdit_InputVoltage);
	DDX_Control(pDX, IDC_COMBO14, m_CComboBox_InputVoltage);
	DDX_Control(pDX, IDC_BUTTON24, m_CButton_InputVoltage);
	DDX_Control(pDX, IDC_COMBO15, m_CComboBox_Reset_CAN_Module);
	DDX_Control(pDX, IDC_COMBO16, m_CComboBox_CAN_Module_Power_Reset);
	DDX_Control(pDX, IDC_EDIT17, m_CEdit_CAN_Data_link_detect);
	DDX_Control(pDX, IDC_EDIT21, m_CEdit_StartupTime_User_Hour);
	DDX_Control(pDX, IDC_EDIT22, m_CEdit_StartupTime_User_Minute);
	DDX_Control(pDX, IDC_COMBO19, m_CComboBox_GPO_1);
	DDX_Control(pDX, IDC_COMBO20, m_CComboBox_GPO_2);
	DDX_Control(pDX, IDC_COMBO21, m_CComboBox_GPO_3);
	DDX_Control(pDX, IDC_COMBO22, m_CComboBox_GPO_4);
	DDX_Control(pDX, IDC_COMBO23, m_CComboBox_GPO_5);
	DDX_Control(pDX, IDC_COMBO24, m_CComboBox_GPO_6);
	DDX_Control(pDX, IDC_COMBO25, m_CComboBox_GPO_7);
	DDX_Control(pDX, IDC_COMBO26, m_CComboBox_GPO_8);
	DDX_Control(pDX, IDC_EDIT28, m_CEdit_GPI_2);
	DDX_Control(pDX, IDC_EDIT29, m_CEdit_GPI_1);
	DDX_Control(pDX, IDC_EDIT30, m_CEdit_GPI_3);
	DDX_Control(pDX, IDC_EDIT31, m_CEdit_GPI_4);
	DDX_Control(pDX, IDC_EDIT32, m_CEdit_GPI_5);
	DDX_Control(pDX, IDC_EDIT33, m_CEdit_GPI_6);
	DDX_Control(pDX, IDC_EDIT34, m_CEdit_GPI_7);
	DDX_Control(pDX, IDC_EDIT35, m_CEdit_GPI_8);
	DDX_Control(pDX, IDC_COMBO27, m_CComboBox_GPIO_Select_1);
	DDX_Control(pDX, IDC_COMBO28, m_CComboBox_GPIO_Select_2);
	DDX_Control(pDX, IDC_COMBO29, m_CComboBox_GPIO_Select_3);
	DDX_Control(pDX, IDC_COMBO30, m_CComboBox_GPIO_Select_4);
	DDX_Control(pDX, IDC_COMBO31, m_CComboBox_GPIO_Select_5);
	DDX_Control(pDX, IDC_COMBO32, m_CComboBox_GPIO_Select_6);
	DDX_Control(pDX, IDC_COMBO33, m_CComboBox_GPIO_Select_7);
	DDX_Control(pDX, IDC_COMBO34, m_CComboBox_GPIO_Select_8);
	DDX_Control(pDX, IDC_COMBO40, m_CComboBox_USB_RCon_Power_Switch);
	DDX_Control(pDX, IDC_COMBO41, m_CComboBox_USB_FCon_Power_Switch);
	DDX_Control(pDX, IDC_COMBO42, m_CComboBox_GPS_POWER);
	DDX_Control(pDX, IDC_COMBO43, m_CComboBox_MCU_GPO_Status_1);
	DDX_Control(pDX, IDC_COMBO44, m_CComboBox_MCU_GPO_Status_2);
	DDX_Control(pDX, IDC_EDIT36, m_CEdit_MCU_GPI_Status_1);
	DDX_Control(pDX, IDC_EDIT37, m_CEdit_MCU_GPI_Status_2);
	DDX_Control(pDX, IDC_EDIT38, m_CEdit_MCU_PANIC_Status);
	DDX_Control(pDX, IDC_COMBO45, m_CComboBox_WLAN);
	DDX_Control(pDX, IDC_COMBO18, m_CComboBox_WLAN_DIS3_L);
	DDX_Control(pDX, IDC_EDIT3, m_CEdit_InputVoltage_Value);
	DDX_Control(pDX, IDC_EDIT4, m_CEdit_GPO_1);
	DDX_Control(pDX, IDC_EDIT5, m_CEdit_GPO_2);
	DDX_Control(pDX, IDC_EDIT6, m_CEdit_GPO_3);
	DDX_Control(pDX, IDC_EDIT7, m_CEdit_GPO_4);
	DDX_Control(pDX, IDC_EDIT8, m_CEdit_GPO_5);
	DDX_Control(pDX, IDC_EDIT9, m_CEdit_GPO_6);
	DDX_Control(pDX, IDC_EDIT10, m_CEdit_GPO_7);
	DDX_Control(pDX, IDC_EDIT11, m_CEdit_GPO_8);
}

BEGIN_MESSAGE_MAP(CVTC7200_IO_UtilityDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BUTTON1, &CVTC7200_IO_UtilityDlg::OnBnClickedButton1)
	ON_BN_CLICKED(IDC_BUTTON2, &CVTC7200_IO_UtilityDlg::OnBnClickedButton2)
	ON_BN_CLICKED(IDC_BUTTON15, &CVTC7200_IO_UtilityDlg::OnBnClickedButton15)
	ON_BN_CLICKED(IDC_BUTTON16, &CVTC7200_IO_UtilityDlg::OnBnClickedButton16)
	ON_BN_CLICKED(IDC_BUTTON17, &CVTC7200_IO_UtilityDlg::OnBnClickedButton17)
	ON_BN_CLICKED(IDC_BUTTON18, &CVTC7200_IO_UtilityDlg::OnBnClickedButton18)
	ON_BN_CLICKED(IDC_BUTTON19, &CVTC7200_IO_UtilityDlg::OnBnClickedButton19)
	ON_BN_CLICKED(IDC_BUTTON20, &CVTC7200_IO_UtilityDlg::OnBnClickedButton20)
	ON_BN_CLICKED(IDC_BUTTON21, &CVTC7200_IO_UtilityDlg::OnBnClickedButton21)
	ON_BN_CLICKED(IDC_BUTTON22, &CVTC7200_IO_UtilityDlg::OnBnClickedButton22)
	ON_BN_CLICKED(IDC_BUTTON23, &CVTC7200_IO_UtilityDlg::OnBnClickedButton23)
	ON_BN_CLICKED(IDC_BUTTON24, &CVTC7200_IO_UtilityDlg::OnBnClickedButton24)
	ON_BN_CLICKED(IDC_BUTTON25, &CVTC7200_IO_UtilityDlg::OnBnClickedButton25)
	ON_BN_CLICKED(IDC_BUTTON26, &CVTC7200_IO_UtilityDlg::OnBnClickedButton26)
	ON_BN_CLICKED(IDC_BUTTON27, &CVTC7200_IO_UtilityDlg::OnBnClickedButton27)
	ON_BN_CLICKED(IDC_BUTTON39, &CVTC7200_IO_UtilityDlg::OnBnClickedButton39)
	ON_BN_CLICKED(IDC_BUTTON40, &CVTC7200_IO_UtilityDlg::OnBnClickedButton40)
	ON_BN_CLICKED(IDC_BUTTON41, &CVTC7200_IO_UtilityDlg::OnBnClickedButton41)
	ON_BN_CLICKED(IDC_BUTTON42, &CVTC7200_IO_UtilityDlg::OnBnClickedButton42)
	ON_BN_CLICKED(IDC_BUTTON43, &CVTC7200_IO_UtilityDlg::OnBnClickedButton43)
	ON_BN_CLICKED(IDC_BUTTON44, &CVTC7200_IO_UtilityDlg::OnBnClickedButton44)
	ON_BN_CLICKED(IDC_BUTTON45, &CVTC7200_IO_UtilityDlg::OnBnClickedButton45)
	ON_BN_CLICKED(IDC_BUTTON46, &CVTC7200_IO_UtilityDlg::OnBnClickedButton46)
	ON_BN_CLICKED(IDC_BUTTON47, &CVTC7200_IO_UtilityDlg::OnBnClickedButton47)
	ON_BN_CLICKED(IDC_BUTTON48, &CVTC7200_IO_UtilityDlg::OnBnClickedButton48)
	ON_BN_CLICKED(IDC_BUTTON49, &CVTC7200_IO_UtilityDlg::OnBnClickedButton49)
	ON_BN_CLICKED(IDC_BUTTON50, &CVTC7200_IO_UtilityDlg::OnBnClickedButton50)
	ON_BN_CLICKED(IDC_BUTTON51, &CVTC7200_IO_UtilityDlg::OnBnClickedButton51)
	ON_BN_CLICKED(IDC_BUTTON52, &CVTC7200_IO_UtilityDlg::OnBnClickedButton52)
	ON_BN_CLICKED(IDC_BUTTON53, &CVTC7200_IO_UtilityDlg::OnBnClickedButton53)
	ON_BN_CLICKED(IDC_BUTTON54, &CVTC7200_IO_UtilityDlg::OnBnClickedButton54)
	ON_BN_CLICKED(IDC_BUTTON55, &CVTC7200_IO_UtilityDlg::OnBnClickedButton55)
	ON_BN_CLICKED(IDC_BUTTON56, &CVTC7200_IO_UtilityDlg::OnBnClickedButton56)
	ON_BN_CLICKED(IDC_BUTTON57, &CVTC7200_IO_UtilityDlg::OnBnClickedButton57)
	ON_BN_CLICKED(IDC_BUTTON58, &CVTC7200_IO_UtilityDlg::OnBnClickedButton58)
	ON_BN_CLICKED(IDC_BUTTON59, &CVTC7200_IO_UtilityDlg::OnBnClickedButton59)
	ON_BN_CLICKED(IDC_BUTTON60, &CVTC7200_IO_UtilityDlg::OnBnClickedButton60)
	ON_BN_CLICKED(IDC_BUTTON61, &CVTC7200_IO_UtilityDlg::OnBnClickedButton61)
	ON_BN_CLICKED(IDC_BUTTON62, &CVTC7200_IO_UtilityDlg::OnBnClickedButton62)
	ON_BN_CLICKED(IDC_BUTTON68, &CVTC7200_IO_UtilityDlg::OnBnClickedButton68)
	ON_BN_CLICKED(IDC_BUTTON69, &CVTC7200_IO_UtilityDlg::OnBnClickedButton69)
	ON_BN_CLICKED(IDC_BUTTON70, &CVTC7200_IO_UtilityDlg::OnBnClickedButton70)
	ON_BN_CLICKED(IDC_BUTTON71, &CVTC7200_IO_UtilityDlg::OnBnClickedButton71)
	ON_BN_CLICKED(IDC_BUTTON72, &CVTC7200_IO_UtilityDlg::OnBnClickedButton72)
	ON_BN_CLICKED(IDC_BUTTON73, &CVTC7200_IO_UtilityDlg::OnBnClickedButton73)
	ON_BN_CLICKED(IDC_BUTTON74, &CVTC7200_IO_UtilityDlg::OnBnClickedButton74)
	ON_BN_CLICKED(IDC_BUTTON75, &CVTC7200_IO_UtilityDlg::OnBnClickedButton75)
	ON_BN_CLICKED(IDC_BUTTON76, &CVTC7200_IO_UtilityDlg::OnBnClickedButton76)
	ON_BN_CLICKED(IDC_BUTTON77, &CVTC7200_IO_UtilityDlg::OnBnClickedButton77)
	ON_BN_CLICKED(IDC_BUTTON29, &CVTC7200_IO_UtilityDlg::OnBnClickedButton29)
	ON_BN_CLICKED(IDC_BUTTON3, &CVTC7200_IO_UtilityDlg::OnBnClickedButton3)
	ON_BN_CLICKED(IDC_BUTTON4, &CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_1)
	ON_BN_CLICKED(IDC_BUTTON5, &CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_2)
	ON_BN_CLICKED(IDC_BUTTON6, &CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_3)
	ON_BN_CLICKED(IDC_BUTTON7, &CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_4)
	ON_BN_CLICKED(IDC_BUTTON8, &CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_5)
	ON_BN_CLICKED(IDC_BUTTON9, &CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_6)
	ON_BN_CLICKED(IDC_BUTTON10, &CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_7)
	ON_BN_CLICKED(IDC_BUTTON11, &CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_8)
END_MESSAGE_MAP()


// CVTC7200_IO_UtilityDlg message handlers

BOOL CVTC7200_IO_UtilityDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		BOOL bNameValid;
		CString strAboutMenu;
		bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
		ASSERT(bNameValid);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

#ifdef _DEBUG
	InitConsole();
#endif

	if( 0 == Library_Initial() ) 
		MessageBox("Initial Library failed!!!");

	int nVol = Voltage_Get();
	switch (nVol)
	{
	case 0:
		m_CEdit_InputVoltage.SetWindowText("9V~36V");
		m_CComboBox_InputVoltage.EnableWindow(FALSE);
		m_CButton_InputVoltage.EnableWindow(FALSE);
		break;
	case 1:
		m_CEdit_InputVoltage.SetWindowText("9V~36V");
		m_CComboBox_InputVoltage.EnableWindow(FALSE);
		m_CButton_InputVoltage.EnableWindow(FALSE);
		break;
	case 2:
		m_CEdit_InputVoltage.SetWindowText("24V");
		m_CComboBox_InputVoltage.ResetContent();
		m_CComboBox_InputVoltage.InsertString(0, "23V 21V");
		m_CComboBox_InputVoltage.InsertString(1, "24V 22V");
		m_CComboBox_InputVoltage.InsertString(2, "25V 22V");
		m_CComboBox_InputVoltage.InsertString(3, "25V 23V");
		m_CComboBox_InputVoltage.SetCurSel(0);
		break;
	case 3:
		m_CEdit_InputVoltage.SetWindowText("12V");
		m_CComboBox_InputVoltage.ResetContent();
		m_CComboBox_InputVoltage.InsertString(0, "11.5V 10.5V");
		m_CComboBox_InputVoltage.InsertString(1, "12.0V 11.0V");
		m_CComboBox_InputVoltage.InsertString(2, "12.5V 11.0V");
		m_CComboBox_InputVoltage.InsertString(3, "12.5V 11.5V");
		m_CComboBox_InputVoltage.SetCurSel(0);
		break;
	default:
		m_CEdit_InputVoltage.SetWindowText("Unknown");
		m_CComboBox_InputVoltage.EnableWindow(FALSE);
		m_CButton_InputVoltage.EnableWindow(FALSE);
		break;
	}

	m_CComboBox_WDT.ResetContent();
	m_CComboBox_WDT.InsertString(0, "Disable");
	m_CComboBox_WDT.InsertString(1, "Enable");
	m_CComboBox_WDT.SetCurSel(0);

	m_CComboBox_WDT_Time.ResetContent();
	m_CComboBox_WDT_Time.InsertString(0, "1 sec");
	m_CComboBox_WDT_Time.InsertString(1, "2 sec");
	m_CComboBox_WDT_Time.InsertString(2, "4 sec");
	m_CComboBox_WDT_Time.InsertString(3, "8 sec");
	m_CComboBox_WDT_Time.InsertString(4, "16 sec");
	m_CComboBox_WDT_Time.InsertString(5, "32 sec");
	m_CComboBox_WDT_Time.InsertString(6, "64 sec");
	m_CComboBox_WDT_Time.InsertString(7, "128 sec");
	m_CComboBox_WDT_Time.InsertString(8, "256 sec");
	m_CComboBox_WDT_Time.SetCurSel(0);

	m_CComboBox_SIM_CARD_In_or_Ex.ResetContent();
	m_CComboBox_SIM_CARD_In_or_Ex.InsertString(0, "Internal SIM CARD");
	m_CComboBox_SIM_CARD_In_or_Ex.InsertString(1, "External SIM CARD");
	m_CComboBox_SIM_CARD_In_or_Ex.SetCurSel(0);

	m_CComboBox_SIM_CARD.ResetContent();
	m_CComboBox_SIM_CARD.InsertString(0, "SIM Card 1");
	m_CComboBox_SIM_CARD.InsertString(1, "SIM Card 2");
	m_CComboBox_SIM_CARD.SetCurSel(0);

	m_CComboBox_EXTERNAL_12V.ResetContent();
	m_CComboBox_EXTERNAL_12V.InsertString(0, "Disable");
	m_CComboBox_EXTERNAL_12V.InsertString(1, "Enable");
	m_CComboBox_EXTERNAL_12V.SetCurSel(1);

	m_CComboBox_Bypass_Car_Battery.ResetContent();
	m_CComboBox_Bypass_Car_Battery.InsertString(0, "Disable");
	m_CComboBox_Bypass_Car_Battery.InsertString(1, "Enable");
	m_CComboBox_Bypass_Car_Battery.SetCurSel(1);

	m_CComboBox_Wireless_WAN_Wake_up.ResetContent();
	m_CComboBox_Wireless_WAN_Wake_up.InsertString(0, "Disable");
	m_CComboBox_Wireless_WAN_Wake_up.InsertString(1, "Enable");
	m_CComboBox_Wireless_WAN_Wake_up.SetCurSel(0);

	m_CComboBox_RTC_Wake_up.ResetContent();
	m_CComboBox_RTC_Wake_up.InsertString(0, "Disable");
	m_CComboBox_RTC_Wake_up.InsertString(1, "Enable");
	m_CComboBox_RTC_Wake_up.SetCurSel(0);

	m_CComboBox_Power_On_Delay.ResetContent();
	m_CComboBox_Power_On_Delay.InsertString(0, "Disable");
	m_CComboBox_Power_On_Delay.InsertString(1, "Enable");
	m_CComboBox_Power_On_Delay.SetCurSel(0);

	m_CComboBox_Power_On_Delay_Time.ResetContent();
	m_CComboBox_Power_On_Delay_Time.InsertString(0, "10 sec");
	m_CComboBox_Power_On_Delay_Time.InsertString(1, "30 sec");
	m_CComboBox_Power_On_Delay_Time.InsertString(2, "1 min");
	m_CComboBox_Power_On_Delay_Time.InsertString(3, "5 min");
	m_CComboBox_Power_On_Delay_Time.InsertString(4, "10 min");
	m_CComboBox_Power_On_Delay_Time.InsertString(5, "15 min");
	m_CComboBox_Power_On_Delay_Time.InsertString(6, "30 min");
	m_CComboBox_Power_On_Delay_Time.InsertString(7, "1 hour");
	m_CComboBox_Power_On_Delay_Time.SetCurSel(0);

	m_CComboBox_Power_Off_Delay.ResetContent();
	m_CComboBox_Power_Off_Delay.InsertString(0, "Disable");
	m_CComboBox_Power_Off_Delay.InsertString(1, "Enable");
	m_CComboBox_Power_Off_Delay.SetCurSel(0);

	m_CComboBox_Power_Off_Delay_Time.ResetContent();
	m_CComboBox_Power_Off_Delay_Time.InsertString(0, "20 sec");
	m_CComboBox_Power_Off_Delay_Time.InsertString(1, "1 min");
	m_CComboBox_Power_Off_Delay_Time.InsertString(2, "5 min");
	m_CComboBox_Power_Off_Delay_Time.InsertString(3, "10 min");
	m_CComboBox_Power_Off_Delay_Time.InsertString(4, "30 min");
	m_CComboBox_Power_Off_Delay_Time.InsertString(5, "1 hour");
	m_CComboBox_Power_Off_Delay_Time.InsertString(6, "6 hour");
	m_CComboBox_Power_Off_Delay_Time.InsertString(7, "18 hour");
	m_CComboBox_Power_Off_Delay_Time.SetCurSel(0);

	m_CComboBox_Reset_CAN_Module.ResetContent();
	m_CComboBox_Reset_CAN_Module.InsertString(0, "Don't care");
	m_CComboBox_Reset_CAN_Module.InsertString(1, "Reset");
	m_CComboBox_Reset_CAN_Module.SetCurSel(0);

	m_CComboBox_CAN_Module_Power_Reset.ResetContent();
	m_CComboBox_CAN_Module_Power_Reset.InsertString(0, "Don't care");
	m_CComboBox_CAN_Module_Power_Reset.InsertString(1, "Reset");
	m_CComboBox_CAN_Module_Power_Reset.SetCurSel(0);

	m_CComboBox_GPO_1.ResetContent();
	m_CComboBox_GPO_1.InsertString(0, "GPO 1 Low");
	m_CComboBox_GPO_1.InsertString(1, "GPO 1 High");
	m_CComboBox_GPO_1.SetCurSel(0);

	m_CComboBox_GPO_2.ResetContent();
	m_CComboBox_GPO_2.InsertString(0, "GPO 2 Low");
	m_CComboBox_GPO_2.InsertString(1, "GPO 2 High");
	m_CComboBox_GPO_2.SetCurSel(0);

	m_CComboBox_GPO_3.ResetContent();
	m_CComboBox_GPO_3.InsertString(0, "GPO 3 Low");
	m_CComboBox_GPO_3.InsertString(1, "GPO 3 High");
	m_CComboBox_GPO_3.SetCurSel(0);

	m_CComboBox_GPO_4.ResetContent();
	m_CComboBox_GPO_4.InsertString(0, "GPO 4 Low");
	m_CComboBox_GPO_4.InsertString(1, "GPO 4 High");
	m_CComboBox_GPO_4.SetCurSel(0);

	m_CComboBox_GPO_5.ResetContent();
	m_CComboBox_GPO_5.InsertString(0, "GPO 5 Low");
	m_CComboBox_GPO_5.InsertString(1, "GPO 5 High");
	m_CComboBox_GPO_5.SetCurSel(0);

	m_CComboBox_GPO_6.ResetContent();
	m_CComboBox_GPO_6.InsertString(0, "GPO 6 Low");
	m_CComboBox_GPO_6.InsertString(1, "GPO 6 High");
	m_CComboBox_GPO_6.SetCurSel(0);

	m_CComboBox_GPO_7.ResetContent();
	m_CComboBox_GPO_7.InsertString(0, "GPO 7 Low");
	m_CComboBox_GPO_7.InsertString(1, "GPO 7 High");
	m_CComboBox_GPO_7.SetCurSel(0);

	m_CComboBox_GPO_8.ResetContent();
	m_CComboBox_GPO_8.InsertString(0, "GPO 8 Low");
	m_CComboBox_GPO_8.InsertString(1, "GPO 8 High");
	m_CComboBox_GPO_8.SetCurSel(0);

	m_CComboBox_GPIO_Select_1.ResetContent();
	m_CComboBox_GPIO_Select_1.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_1.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_1.SetCurSel(0);

	m_CComboBox_GPIO_Select_2.ResetContent();
	m_CComboBox_GPIO_Select_2.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_2.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_2.SetCurSel(0);

	m_CComboBox_GPIO_Select_3.ResetContent();
	m_CComboBox_GPIO_Select_3.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_3.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_3.SetCurSel(0);

	m_CComboBox_GPIO_Select_4.ResetContent();
	m_CComboBox_GPIO_Select_4.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_4.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_4.SetCurSel(0);

	m_CComboBox_GPIO_Select_5.ResetContent();
	m_CComboBox_GPIO_Select_5.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_5.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_5.SetCurSel(1);

	m_CComboBox_GPIO_Select_6.ResetContent();
	m_CComboBox_GPIO_Select_6.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_6.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_6.SetCurSel(1);

	m_CComboBox_GPIO_Select_7.ResetContent();
	m_CComboBox_GPIO_Select_7.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_7.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_7.SetCurSel(1);

	m_CComboBox_GPIO_Select_8.ResetContent();
	m_CComboBox_GPIO_Select_8.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_8.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_8.SetCurSel(1);

	m_CComboBox_USB_RCon_Power_Switch.ResetContent();
	m_CComboBox_USB_RCon_Power_Switch.InsertString(0, "Disable");
	m_CComboBox_USB_RCon_Power_Switch.InsertString(1, "Enable");
	m_CComboBox_USB_RCon_Power_Switch.SetCurSel(1);

	m_CComboBox_USB_FCon_Power_Switch.ResetContent();
	m_CComboBox_USB_FCon_Power_Switch.InsertString(0, "Disable");
	m_CComboBox_USB_FCon_Power_Switch.InsertString(1, "Enable");
	m_CComboBox_USB_FCon_Power_Switch.SetCurSel(1);

	m_CComboBox_GPS_POWER.ResetContent();
	m_CComboBox_GPS_POWER.InsertString(0, "Disable");
	m_CComboBox_GPS_POWER.InsertString(1, "Enable");
	m_CComboBox_GPS_POWER.SetCurSel(1);

	m_CComboBox_MCU_GPO_Status_1.ResetContent();
	m_CComboBox_MCU_GPO_Status_1.InsertString(0, "MCU GPO 1 Low");
	m_CComboBox_MCU_GPO_Status_1.InsertString(1, "MCU GPO 1 High");
	m_CComboBox_MCU_GPO_Status_1.SetCurSel(0);

	m_CComboBox_MCU_GPO_Status_2.ResetContent();
	m_CComboBox_MCU_GPO_Status_2.InsertString(0, "MCU GPO 2 Low");
	m_CComboBox_MCU_GPO_Status_2.InsertString(1, "MCU GPO 2 High");
	m_CComboBox_MCU_GPO_Status_2.SetCurSel(0);

	m_CComboBox_WLAN.ResetContent();
	m_CComboBox_WLAN.InsertString(0, "Disable");
	m_CComboBox_WLAN.InsertString(1, "Enable");
	m_CComboBox_WLAN.SetCurSel(1);

	m_CComboBox_WLAN_DIS3_L.ResetContent();
	m_CComboBox_WLAN_DIS3_L.InsertString(0, "Disable");
	m_CComboBox_WLAN_DIS3_L.InsertString(1, "Enable");
	m_CComboBox_WLAN_DIS3_L.SetCurSel(1);

	int nStatus = CANbus_Read_Data_link_detect();
	if( nStatus == 1 )
		m_CEdit_CAN_Data_link_detect.SetWindowText("Data link");
	else if( nStatus == 0 )
		m_CEdit_CAN_Data_link_detect.SetWindowText("No data transfer");
	else
		m_CEdit_CAN_Data_link_detect.SetWindowText("No data transfer");

	m_CEdit_StartupTime_User_Hour.SetWindowText("00");
	m_CEdit_StartupTime_User_Minute.SetWindowText("00");

	// Read GPIO select setting
	m_CComboBox_GPIO_Select_1.SetCurSel(GPIO_ReadGPIO_Status_1());
	m_CComboBox_GPIO_Select_2.SetCurSel(GPIO_ReadGPIO_Status_2());
	m_CComboBox_GPIO_Select_3.SetCurSel(GPIO_ReadGPIO_Status_3());
	m_CComboBox_GPIO_Select_4.SetCurSel(GPIO_ReadGPIO_Status_4());
	m_CComboBox_GPIO_Select_5.SetCurSel(GPIO_ReadGPIO_Status_5());
	m_CComboBox_GPIO_Select_6.SetCurSel(GPIO_ReadGPIO_Status_6());
	m_CComboBox_GPIO_Select_7.SetCurSel(GPIO_ReadGPIO_Status_7());
	m_CComboBox_GPIO_Select_8.SetCurSel(GPIO_ReadGPIO_Status_8());

	// Read GPI
	OnBnClickedButton47();
	OnBnClickedButton48();
	OnBnClickedButton49();
	OnBnClickedButton50();
	OnBnClickedButton51();
	OnBnClickedButton52();
	OnBnClickedButton53();
	OnBnClickedButton54();

	// Read GPO
	m_CComboBox_GPO_1.SetCurSel(GPIO_ReadGPO_1());
	m_CComboBox_GPO_2.SetCurSel(GPIO_ReadGPO_2());
	m_CComboBox_GPO_3.SetCurSel(GPIO_ReadGPO_3());
	m_CComboBox_GPO_4.SetCurSel(GPIO_ReadGPO_4());
	m_CComboBox_GPO_5.SetCurSel(GPIO_ReadGPO_5());
	m_CComboBox_GPO_6.SetCurSel(GPIO_ReadGPO_6());
	m_CComboBox_GPO_7.SetCurSel(GPIO_ReadGPO_7());
	m_CComboBox_GPO_8.SetCurSel(GPIO_ReadGPO_8());

	OnBnClickedButton_ReadGPO_1();
	OnBnClickedButton_ReadGPO_2();
	OnBnClickedButton_ReadGPO_3();
	OnBnClickedButton_ReadGPO_4();
	OnBnClickedButton_ReadGPO_5();
	OnBnClickedButton_ReadGPO_6();
	OnBnClickedButton_ReadGPO_7();
	OnBnClickedButton_ReadGPO_8();

	/*
	RECT rect;
	this->GetWindowRect(&rect);
	rect.right = 1000;
	this->MoveWindow(&rect);
	*/

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CVTC7200_IO_UtilityDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CVTC7200_IO_UtilityDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CVTC7200_IO_UtilityDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}


void CVTC7200_IO_UtilityDlg::OnDestroy()
{
	CDialog::OnDestroy();

	Library_Release(); // Release Library

#ifdef _DEBUG
	DeinitConsole();
#endif
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton1()
{
	int nStatus = LED_Control_GetIgnition(); // return = 0 => OFF, return = 1 => ON
	if( nStatus == 1 )
		m_CEdit_Ignition.SetWindowText("ON");
	else if( nStatus == 0 )
		m_CEdit_Ignition.SetWindowText("OFF");
	else
		m_CEdit_Ignition.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton2()
{
	int nStatus = Car_Battery_GetStatus();           // return = 0 => Low voltage, return = 1 => OK
	if( nStatus == 1 )
		m_CEdit_Battery.SetWindowText("OK");
	else if ( nStatus == 0 )
		m_CEdit_Battery.SetWindowText("Low voltage");
	else
		m_CEdit_Battery.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton15()
{
	int nCurSel = m_CComboBox_WDT_Time.GetCurSel();
	WDT_Time_Setting(nCurSel);

	nCurSel = m_CComboBox_WDT.GetCurSel();
	WDT_Switch(nCurSel); // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton16()
{
	WDT_Clear_Timer(); // clear WDT timer
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton17()
{
	int nCurSel_1 = m_CComboBox_SIM_CARD_In_or_Ex.GetCurSel();
	int nCurSel_2 = m_CComboBox_SIM_CARD.GetCurSel();

	if( nCurSel_1 == 1 && nCurSel_2 == 1 )
	{
		MessageBox("When select External SIM CARD, can't select SIM CARD 2.", 0, MB_ICONWARNING | MB_OK);
		return;
	}

	SIM_CARD_Switch_Internal_or_External(nCurSel_1);  // nStatus = 0 => Internal SIM CARD(*), nStatus = 1 => External SIM CARD(SIM CARD2)
	SIM_CARD_Switch(nCurSel_2);                       // nStatus = 0 => SIM CARD 1, nStatus = 1 => SIM CARD 2
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton18()
{
	int nCurSel = m_CComboBox_EXTERNAL_12V.GetCurSel();
	EXTERNAL_12V_Power(nCurSel); // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton19()
{
	int nCurSel = m_CComboBox_Bypass_Car_Battery.GetCurSel();
	Bypass_Car_Battery_Power(nCurSel);   // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton20()
{
	int nCurSel = m_CComboBox_Wireless_WAN_Wake_up.GetCurSel();
	Wake_On_Wireless_WAN_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton21()
{
	int nCurSel = m_CComboBox_RTC_Wake_up.GetCurSel();

	char szData[32];
	memset(szData, 0, sizeof(szData));
	m_CEdit_StartupTime_User_Hour.GetWindowText(szData, 32);
	unsigned char nHour = atoi(szData);

	memset(szData, 0, sizeof(szData));
	m_CEdit_StartupTime_User_Minute.GetWindowText(szData, 32);
	unsigned char nMinute = atoi(szData);

	Wake_On_RTC_Switch_Setting(nCurSel, nHour, nMinute); // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
                                                         // nData => the hour value(hexadecimal)
                                                         // nData => the minute value(hexadecimal)
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton22()
{
	int nStatus = m_CComboBox_Power_On_Delay.GetCurSel();
	int nTime   = m_CComboBox_Power_On_Delay_Time.GetCurSel();

	Power_On_Delay_Setting(nStatus, nTime);     // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
                                                // nTime = 0 => 10 sec
                                                // nTime = 1 => 30 sec
                                                // nTime = 2 =>  1 min
                                                // nTime = 3 =>  5 min
                                                // nTime = 4 => 10 min
                                                // nTime = 5 => 15 min
                                                // nTime = 6 => 30 min
                                                // nTime = 7 =>  1 hour
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton23()
{
	int nStatus = m_CComboBox_Power_Off_Delay.GetCurSel();
	int nTime   = m_CComboBox_Power_Off_Delay_Time.GetCurSel();

	Power_Off_Delay_Setting(nStatus, nTime);     // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
                                                 // nTime = 0 => 20 sec
                                                 // nTime = 1 =>  1 min
                                                 // nTime = 2 =>  5 min
                                                 // nTime = 3 => 10 min
                                                 // nTime = 4 => 30 min
                                                 // nTime = 5 =>  1 hour
                                                 // nTime = 6 =>  6 hour
                                                 // nTime = 7 => 18 hour
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton24()
{
	int nCurSel = m_CComboBox_InputVoltage.GetCurSel();
	Voltage_Select_Setting(nCurSel);
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton25()
{
	int nCurSel = m_CComboBox_Reset_CAN_Module.GetCurSel();
	CANbus_Reset(nCurSel);          // nData = 0 => Don't care. nData = 1 => Reset CAN Module
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton26()
{
	int nCurSel = m_CComboBox_CAN_Module_Power_Reset.GetCurSel();
	CANbus_Power_Reset(nCurSel);          // nData = 0 => Don't care. nData = 1 => Reset CAN Module Power
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton27()
{
	int nStatus = CANbus_Read_Data_link_detect();
	if( nStatus == 1 )
		m_CEdit_CAN_Data_link_detect.SetWindowText("Data link");
	else if( nStatus == 0 )
		m_CEdit_CAN_Data_link_detect.SetWindowText("No data transfer");
	else
		m_CEdit_CAN_Data_link_detect.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton39()
{
	int nCurSel = m_CComboBox_GPO_1.GetCurSel();
	GPIO_SetGPO_1(nCurSel); // nData = 0 => Low, nData = 1 => High

	OnBnClickedButton_ReadGPO_1();
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton40()
{
	int nCurSel = m_CComboBox_GPO_2.GetCurSel();
	GPIO_SetGPO_2(nCurSel); // nData = 0 => Low, nData = 1 => High

	OnBnClickedButton_ReadGPO_2();
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton41()
{
	int nCurSel = m_CComboBox_GPO_3.GetCurSel();
	GPIO_SetGPO_3(nCurSel); // nData = 0 => Low, nData = 1 => High

	OnBnClickedButton_ReadGPO_3();
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton42()
{
	int nCurSel = m_CComboBox_GPO_4.GetCurSel();
	GPIO_SetGPO_4(nCurSel); // nData = 0 => Low, nData = 1 => High

	OnBnClickedButton_ReadGPO_4();
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton43()
{
	int nCurSel = m_CComboBox_GPO_5.GetCurSel();
	GPIO_SetGPO_5(nCurSel); // nData = 0 => Low, nData = 1 => High

	OnBnClickedButton_ReadGPO_5();
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton44()
{
	int nCurSel = m_CComboBox_GPO_6.GetCurSel();
	GPIO_SetGPO_6(nCurSel); // nData = 0 => Low, nData = 1 => High

	OnBnClickedButton_ReadGPO_6();
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton45()
{
	int nCurSel = m_CComboBox_GPO_7.GetCurSel();
	GPIO_SetGPO_7(nCurSel); // nData = 0 => Low, nData = 1 => High

	OnBnClickedButton_ReadGPO_7();
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton46()
{
	int nCurSel = m_CComboBox_GPO_8.GetCurSel();
	GPIO_SetGPO_8(nCurSel); // nData = 0 => Low, nData = 1 => High

	OnBnClickedButton_ReadGPO_8();
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton47()
{
	int nStatus = GPIO_ReadGPI_1(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPI_1.SetWindowText("GPI-1 : High");
	else if( nStatus == 0 )
		m_CEdit_GPI_1.SetWindowText("GPI-1 : Low");
	else
		m_CEdit_GPI_1.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton48()
{
	int nStatus = GPIO_ReadGPI_2(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPI_2.SetWindowText("GPI-2 : High");
	else if( nStatus == 0 )
		m_CEdit_GPI_2.SetWindowText("GPI-2 : Low");
	else
		m_CEdit_GPI_2.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton49()
{
	int nStatus = GPIO_ReadGPI_3(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPI_3.SetWindowText("GPI-3 : High");
	else if( nStatus == 0 )
		m_CEdit_GPI_3.SetWindowText("GPI-3 : Low");
	else
		m_CEdit_GPI_3.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton50()
{
	int nStatus = GPIO_ReadGPI_4(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPI_4.SetWindowText("GPI-4 : High");
	else if( nStatus == 0 )
		m_CEdit_GPI_4.SetWindowText("GPI-4 : Low");
	else
		m_CEdit_GPI_4.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton51()
{
	int nStatus = GPIO_ReadGPI_5(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPI_5.SetWindowText("GPI-5 : High");
	else if( nStatus == 0 )
		m_CEdit_GPI_5.SetWindowText("GPI-5 : Low");
	else
		m_CEdit_GPI_5.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton52()
{
	int nStatus = GPIO_ReadGPI_6(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPI_6.SetWindowText("GPI-6 : High");
	else if( nStatus == 0 )
		m_CEdit_GPI_6.SetWindowText("GPI-6 : Low");
	else
		m_CEdit_GPI_6.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton53()
{
	int nStatus = GPIO_ReadGPI_7(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPI_7.SetWindowText("GPI-7 : High");
	else if( nStatus == 0 )
		m_CEdit_GPI_7.SetWindowText("GPI-7 : Low");
	else
		m_CEdit_GPI_7.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton54()
{
	int nStatus = GPIO_ReadGPI_8(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPI_8.SetWindowText("GPI-8 : High");
	else if( nStatus == 0 )
		m_CEdit_GPI_8.SetWindowText("GPI-8 : Low");
	else
		m_CEdit_GPI_8.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton55()
{
	int nCurSel = m_CComboBox_GPIO_Select_1.GetCurSel();
	GPIO_SetGPIO_Status_1(nCurSel); // nData = 0 => GPI, nData = 1 => GPO
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton56()
{
	int nCurSel = m_CComboBox_GPIO_Select_2.GetCurSel();
	GPIO_SetGPIO_Status_2(nCurSel); // nData = 0 => GPI, nData = 1 => GPO
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton57()
{
	int nCurSel = m_CComboBox_GPIO_Select_3.GetCurSel();
	GPIO_SetGPIO_Status_3(nCurSel); // nData = 0 => GPI, nData = 1 => GPO
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton58()
{
	int nCurSel = m_CComboBox_GPIO_Select_4.GetCurSel();
	GPIO_SetGPIO_Status_4(nCurSel); // nData = 0 => GPI, nData = 1 => GPO
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton59()
{
	int nCurSel = m_CComboBox_GPIO_Select_5.GetCurSel();
	GPIO_SetGPIO_Status_5(nCurSel); // nData = 0 => GPI, nData = 1 => GPO
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton60()
{
	int nCurSel = m_CComboBox_GPIO_Select_6.GetCurSel();
	GPIO_SetGPIO_Status_6(nCurSel); // nData = 0 => GPI, nData = 1 => GPO
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton61()
{
	int nCurSel = m_CComboBox_GPIO_Select_7.GetCurSel();
	GPIO_SetGPIO_Status_7(nCurSel); // nData = 0 => GPI, nData = 1 => GPO
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton62()
{
	int nCurSel = m_CComboBox_GPIO_Select_8.GetCurSel();
	GPIO_SetGPIO_Status_8(nCurSel); // nData = 0 => GPI, nData = 1 => GPO
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton68()
{
	int nCurSel = m_CComboBox_USB_RCon_Power_Switch.GetCurSel();
	Module_USB_RCon_Power_Switch(nCurSel); // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton69()
{
	int nCurSel = m_CComboBox_USB_FCon_Power_Switch.GetCurSel();
	Module_USB_FCon_Power_Switch(nCurSel); // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton70()
{
	int nCurSel = m_CComboBox_GPS_POWER.GetCurSel();
	Module_GPS_Power_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton71()
{
	int nCurSel = m_CComboBox_MCU_GPO_Status_1.GetCurSel();
	MCU_GPIO_SetGPO_Status_1(nCurSel);   // nData = 0 => Low, nData = 1 => High
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton72()
{
	int nCurSel = m_CComboBox_MCU_GPO_Status_2.GetCurSel();
	MCU_GPIO_SetGPO_Status_2(nCurSel);   // nData = 0 => Low, nData = 1 => High
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton73()
{
	int nStatus = MCU_GPIO_ReadGPI_Status_1();            // return = 0 or 1
	if( nStatus == 1 )
		m_CEdit_MCU_GPI_Status_1.SetWindowText("MCU GPI-1 : High");
	else if( nStatus == 0 )
		m_CEdit_MCU_GPI_Status_1.SetWindowText("MCU GPI-1 : Low");
	else
		m_CEdit_MCU_GPI_Status_1.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton74()
{
	int nStatus = MCU_GPIO_ReadGPI_Status_2();            // return = 0 or 1
	if( nStatus == 1 )
		m_CEdit_MCU_GPI_Status_2.SetWindowText("MCU GPI-2 : High");
	else if( nStatus == 0 )
		m_CEdit_MCU_GPI_Status_2.SetWindowText("MCU GPI-2 : Low");
	else
		m_CEdit_MCU_GPI_Status_2.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton75()
{
	int nStatus = MCU_GPIO_ReadPANIC_Status();            // return = 0 or 1
	if( nStatus == 1 )
		m_CEdit_MCU_PANIC_Status.SetWindowText("MCU PANIC : High");
	else if( nStatus == 0 )
		m_CEdit_MCU_PANIC_Status.SetWindowText("MCU PANIC : Low");
	else
		m_CEdit_MCU_PANIC_Status.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton76()
{
	MCU_GPIO_PANIC_Status_Clear();	// Clear PANIC Status

	Sleep(500);

	OnBnClickedButton75();
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton77()
{
	int nCurSel = m_CComboBox_WLAN.GetCurSel();
	Module_Wireless_LAN_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton29()
{
	int nCurSel = m_CComboBox_WLAN_DIS3_L.GetCurSel();
	Module_Wireless_LAN_DIS3_L_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton3()
{
	m_CEdit_InputVoltage_Value.SetWindowText("");

	int nVoltage = Voltage_Get_Value();                   // return voltage
	if( -1 == nVoltage )
		m_CEdit_InputVoltage_Value.SetWindowText("Error!!!");
	else
	{
		double fVoltage = (double)nVoltage/1000;
		CString strVoltage;
		strVoltage.Format("%2.1f V", fVoltage); 
		m_CEdit_InputVoltage_Value.SetWindowText(strVoltage);
	}
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_1()
{
	int nStatus = GPIO_ReadGPO_1(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_1.SetWindowText("GPO-1 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_1.SetWindowText("GPO-1 : Low");
	else
		m_CEdit_GPO_1.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_2()
{
	int nStatus = GPIO_ReadGPO_2(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_2.SetWindowText("GPO-2 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_2.SetWindowText("GPO-2 : Low");
	else
		m_CEdit_GPO_2.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_3()
{
	int nStatus = GPIO_ReadGPO_3(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_3.SetWindowText("GPO-3 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_3.SetWindowText("GPO-3 : Low");
	else
		m_CEdit_GPO_3.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_4()
{
	int nStatus = GPIO_ReadGPO_4(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_4.SetWindowText("GPO-4 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_4.SetWindowText("GPO-4 : Low");
	else
		m_CEdit_GPO_4.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_5()
{
	int nStatus = GPIO_ReadGPO_5(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_5.SetWindowText("GPO-5 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_5.SetWindowText("GPO-5 : Low");
	else
		m_CEdit_GPO_5.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_6()
{
	int nStatus = GPIO_ReadGPO_6(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_6.SetWindowText("GPO-6 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_6.SetWindowText("GPO-6 : Low");
	else
		m_CEdit_GPO_6.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_7()
{
	int nStatus = GPIO_ReadGPO_7(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_7.SetWindowText("GPO-7 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_7.SetWindowText("GPO-7 : Low");
	else
		m_CEdit_GPO_7.SetWindowText("Function Error");
}

void CVTC7200_IO_UtilityDlg::OnBnClickedButton_ReadGPO_8()
{
	int nStatus = GPIO_ReadGPO_8(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_8.SetWindowText("GPO-8 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_8.SetWindowText("GPO-8 : Low");
	else
		m_CEdit_GPO_8.SetWindowText("Function Error");
}
